#ifndef __TC_CHANNEL_SELECTOR__
#define __TC_CHANNEL_SELECTOR__

#include "ui_channel_selector.h"
#include <QWidget>
#include <vector>

class ChannelSelector : public QWidget
{
Q_OBJECT

private:
	Ui::ChannelSelector ui;
	std::vector<int> selected_channels;
	int channels_per_row;

public:
	ChannelSelector(QWidget *parent);
	void setChannelCount(int channel_count);

signals:
	void selectedChannelsChanged(std::vector<int> &selected_channels);

public slots:
	void selectionChanged();
	void selectAll();	
};

#endif //#ifndef __TC_CHANNEL_SELECTOR__
